I don't think unity needs any gcc, but I don't have unity and I do have gcc 9.2, so I can't quickly check it with a simulated install or removal. It's possible to install several versions of gcc side...